<?php

class Fiktiv_Date extends Zend_Date
{
    public function __toString()
    {
        return $this->toString();
    }

    public function toString($format = null, $type = null, $locale = null)
    {
        if (null === $format) {
            $format = 'yyyy-MM-dd HH:mm:ss';
        }
        
        return parent::toString($format, $type, $locale);
    }

    public static function isDate($date, $format = null, $locale = null)
    {
        if (null === $format) {
            $format = 'yyyy-MM-dd HH:mm:ss';
        }

        return parent::isDate($date, $format, $locale);
    }
}